Skip to main content
Fetch all purchase orders
curl --request GET \
  --url https://api.cf.ovrsea.com/v1/purchaseOrders
import requests

url = "https://api.cf.ovrsea.com/v1/purchaseOrders"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cf.ovrsea.com/v1/purchaseOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "po_number": "PO5792303",
    "supplier_name": "Detroit Factory",
    "purchase_order_lines": [
      {
        "reference": "Delivery #1",
        "product": {
          "sku": "REF0123458",
          "name": "blue t-shirt",
          "hs_code": "96032930",
          "description": "blue shirt with a T shape",
          "is_hazardous": "false",
          "hazardous_description": "UN1993",
          "custom_parameters": [
            {
              "name": "parameter1",
              "value": "value1"
            }
          ]
        },
        "ordered_quantity": 500,
        "unit_price": {
          "amount": 150357.99,
          "currency": "USD"
        },
        "assigned_order_lines": [
          {
            "ovrsea_shipment_id": "BATE",
            "assigned_quantity": 200,
            "shipped_order_lines": [
              {
                "container_number": "HLCU1234567",
                "shipped_quantity": 150,
                "packaging_total_volume": 5,
                "number_of_packages": 10,
                "packaging_type": "box",
                "net_weight": 100,
                "gross_weight": 110,
                "volume_unit": "m3",
                "weight_unit": "kg"
              }
            ]
          }
        ]
      }
    ],
    "desired_ex_factory_date": "2021-10-11",
    "desired_delivery_date": "2021-10-11",
    "custom_parameters": [
      {
        "name": "parameter1",
        "value": "value1"
      }
    ]
  }
]
{}

Query Parameters

skip
integer
default:0
take
integer
default:10
Required range: x <= 100

Response

Purchase orders found

po_number
string
Example:

"PO5792303"

supplier_name
string

Supplier name as per client convention

Example:

"Detroit Factory"

purchase_order_lines
object[]
desired_ex_factory_date
string
Example:

"2021-10-11"

desired_delivery_date
string
Example:

"2021-10-11"

custom_parameters
object[]

Array of up to 6 custom parameters